Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for <QtGlobal>

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- <QtGlobal> class reference

## Types

typedef | Q_INT8
typedef | Q_INT16
typedef | Q_INT32
typedef | Q_INT64
typedef | Q_LLONG
typedef | Q_LONG
typedef | Q_UINT8
typedef | Q_UINT16
typedef | Q_UINT32
typedef | Q_UINT64
typedef | Q_ULLONG
typedef | Q_ULONG

## Functions

bool | qSysInfo ( int * wordSize, bool * bigEndian )
int | qWinVersion ()
bool | qt_winUnicode ()

## Type Documentation

### typedef Q_INT8

Use qint8 instead.

### typedef Q_INT16

Use qint16 instead.

### typedef Q_INT32

Use qint32 instead.

### typedef Q_INT64

Use qint64 instead.

### typedef Q_LLONG

Use qint64 instead.

### typedef Q_LONG

Use `void *` instead.

### typedef Q_UINT8

Use quint8 instead.

### typedef Q_UINT16

Use quint16 instead.

### typedef Q_UINT32

Use quint32 instead.

### typedef Q_UINT64

Use quint64 instead.

### typedef Q_ULLONG

Use quint64 instead.

### typedef Q_ULONG

Use `void *` instead.

## Function Documentation

### bool qSysInfo ( int * wordSize, bool * bigEndian )

Use QSysInfo::WordSize and QSysInfo::ByteOrder instead.

### int qWinVersion ()

Use QSysInfo::WindowsVersion instead.

See also QSysInfo.

### bool qt_winUnicode ()

This function always returns true.

See also QSysInfo.